For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet fulfillment reqeusts filtered by search parameters
          • GETGet fulfillment requests by order
          • GETGet details of a single fulfillment request
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Fulfillment Requests

Get details of a single fulfillment request

GET
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/fulfillment_requests/:fulfillment-request-id
GET
/api/v2/orders/:order-id/fulfillment_requests/:fulfillment-request-id
$curl https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillment_requests/109872189273617283 \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "id": "109872189273617283",
3 "order_id": 1,
4 "fulfilling_integration_id": "109872189273617283",
5 "fulfilling_integration_name": "BigCommerce UK",
6 "fulfilling_integration_plugin": "BigCommercePlugin",
7 "fulfillment_request_lines": [
8 {
9 "id": "109872189273617283",
10 "feedamp_order_line_number": "109872189273617283",
11 "sku": "string",
12 "quantity": 1,
13 "product_name": "string",
14 "shipping_method": "string"
15 }
16 ],
17 "created_at": {},
18 "platform_order_number": "111-99998888-55555",
19 "fulfillment_type": "string",
20 "shipping_address": {
21 "full_name": "John M. Doe",
22 "address1": "123 Fake Street",
23 "city": "Ghost Town",
24 "state": "DC",
25 "postal_code": "91234",
26 "country_code": "USA",
27 "address_type": "business",
28 "address2": "Building 456",
29 "address3": "Room 789",
30 "country_code_iso2": "US",
31 "phone": "9997776666"
32 }
33}
Get the information for the specified fulfillment requesst
Was this page helpful?
Previous

Get fulfillment requests by order

Next

List fulfillments on an order

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID
fulfillment-request-idstringRequired
FeedAMP Fulfillment Request ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Response

Fulfillment Request details
idstring
Unique identifier for a record
order_idinteger
ID of the original customer order
fulfilling_integration_idstring
FeedAMP client integration identifier that this fulfillment request belongs to
fulfilling_integration_namestring

Customer-defined name for this fulfillment source

fulfilling_integration_pluginstring

Which e-commerce platform is this

fulfillment_request_lineslist of objects
A collection of FulfillmentRequestLine objects describing the specific items and quantities to fulfill. Note that these lines might not match the contents of the original Order order lines depending on transformation of product data.
created_atdatetime

The datetime this record was created. RFC-3339 format 2020-12-31T12:34:56-05:00

platform_order_numberstring

Identifier for an e-commerce platform order record that this Fulfillment Request reflects

fulfillment_typestring
Whether this is a shipment, pickup, digital download, etc.
shipping_addressobject
Customer's Shipping Information

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error